<?php
namespace SabaiApps\Directories\Component\PaymentGateway;

use SabaiApps\Directories\Component\PaymentGateway\Gateway\IGateway;

interface IGateways {

	/**
	 * @return array
	 */
	public function paymentGetGatewayNames();

	/**
	 * @param $name string
	 * @return IGateway
	 */
	public function paymentGetGateway( $name );
}
